Get a Specific Document

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.lwolf.com/doc/transactiondesk-api/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "TransactionDesk API MCP server": {
    "url": "https://apidocs.lwolf.com/doc/transactiondesk-api/mcp"
  }
}

Close
GET /v2/transactions/{transactionId}/documents/{documentId}

Returns the document binary of a specific file within a transaction.

Path parameters

  • transactionId string(uuid) Required

    TransactionGUID

  • documentId string(uuid) Required

    DocumentGUID

Responses

  • 200 application/json

    Document returned successfully

    Hide response attributes Show response attributes object
    • id string(uuid)

      DocumentGUID

    • fileTypeId string(uuid)

      File type GUID. See Glossary for values.

    • documentName string
    • dateCreated string(date-time)
    • lastModified string(date-time)
    • binary string

      Base64 encoded document binary

  • 401 application/json

    Unauthorized

    Hide response attributes Show response attributes object
    • code integer
    • message string
    • details array
    • data
  • 404 application/json

    Document not found

    Hide response attributes Show response attributes object
    • code integer
    • message string
    • details array
GET /v2/transactions/{transactionId}/documents/{documentId}
curl \
 --request GET 'https://api.pre.transactiondesk.com/v2/transactions/{transactionId}/documents/{documentId}' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "id": "805355ec-7f7d-413e-986a-c767ea0632da",
  "fileTypeId": "6db4d39b-d96d-4cfd-b97e-0c9cd1a176f9",
  "documentName": "1916 Glenarbor Way",
  "dateCreated": "2019-05-14T23:49:49.143+00:00",
  "lastModified": "2019-05-14T23:49:52.27+00:00",
  "binary": "JVBERi0xLjQKJeLjz9MKMSAwIG9iago8PC9U...."
}
Response examples (401)
{
  "code": 401,
  "message": "Unauthorized. The user is not authenticated.",
  "details": []
}
Response examples (404)
{
  "code": 404,
  "message": "Item not found.",
  "details": []
}